import java.util.*;
import javax.naming.*;
import javax.naming.directory.*;

@SuppressWarnings("unchecked")
public class TestLDAPJAVA {

	public static void main(String[] args) {
		Hashtable env = new Hashtable();
		env.put(Context.INITIAL_CONTEXT_FACTORY, "com.sun.jndi.ldap.LdapCtxFactory");
		env.put(Context.PROVIDER_URL, "ldap://localhost:389");
		env.put(Context.SECURITY_AUTHENTICATION, "simple");
		env.put(Context.SECURITY_PRINCIPAL, "cn=admin,dc=example,dc=com");
		env.put(Context.SECURITY_CREDENTIALS, "admin");


		DirContext dirContext;

		try {
			dirContext = new InitialDirContext(env);
			System.out.println ("Connexion a LDAP reussie");
			// Manipulation des attributs
			MonObjet objet = new MonObjet("valeur1","valeur2");
			System.out.println ("Creation d'un nouvel objet");

			dirContext.bind("cn=monobjet,dc=example,dc=com", objet);
			System.out.println ("Objet lie dans LDAP");
			dirContext.close();
		} catch (NamingException e) {
			System.err.println("Erreur lors de l'acces au serveur LDAP" + e);
			e.printStackTrace();
		}
	}
}
